## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathExpression::XPathExpressionException Class Reference

Exception class thrown when an invalid XPath expression is encountered. More...

Inheritance diagram for XPathExpression::XPathExpressionException:

[legend]
Collaboration diagram for XPathExpression::XPathExpressionException:

[legend]
List of all members.

## Public Member Functions

- XPathExpressionException (const XalanDOMString &theMessage, MemoryManagerType &theManager)
    Construct an XPathExpressionException object.
- virtual ~XPathExpressionException ()

## Detailed Description

Exception class thrown when an invalid XPath expression is encountered.

## Constructor & Destructor Documentation

XPathExpression::XPathExpressionException::XPathExpressionException | ( | const XalanDOMString & | theMessage,
|  | MemoryManagerType & | theManager
| ) |

  | Construct an XPathExpressionException object. Parameters:
  theMessage | string error message

virtual XPathExpression::XPathExpressionException::~XPathExpressionException | ( |  | ) |

The documentation for this class was generated from the following file:

- XPathExpression.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.